<ion-item button mode="md" [disabled]="state === MENUSTATE.NotAvailable">

  <!-- Thumbnail -->
  <ion-thumbnail class="ion-relative" slot="start">
    <ion-img [src]="thumbnail" [alt]="name" class="ion-round" #img
      [class.ion-opacity-0]="!(img.ionImgDidLoad | async)">
    </ion-img>

    <!-- Skeleton -->
    <ion-skeleton-text *ngIf="!(img.ionImgDidLoad | async)" animated
      class="ion-absolute ion-top-0 ion-w-100 ion-h-100 ion-round">
    </ion-skeleton-text>
  </ion-thumbnail>

  <!-- Text and Details -->
  <ion-label color="dark" class="ion-text-wrap">
    <h6 class="ion-font-bold ion-pr-5" [ngSwitch]="state">
      <ion-icon name="star" color="warning" *ngSwitchCase="MENUSTATE.MostValuate"></ion-icon>
      <ion-icon name="close-circle-outline" color="danger" *ngSwitchCase="MENUSTATE.NotAvailable"></ion-icon>
      {{ name }}
    </h6>
    
    <ion-text color="medium">
      <p class="ion-font-sm">
        {{ details }}
      </p>
    </ion-text>
  </ion-label>

  <!-- Price -->
  <ion-chip color="primary" class="ion-absolute ion-top-2 ion-right-2 ion-h-auto ion-py-1 ion-px-2 ion-round">
    <ion-text color="primary" class="ion-font-sm">
      $ <span style="color: var(--ion-color-primary-shade)">{{ price }}</span>
    </ion-text>
  </ion-chip>
</ion-item>